#ifndef CONFIG_H
#define CONFIG_H

static enum mode{
  INIT,
  TRACK,
  STOW
}MODE;



static float STOW_ANGLE = 0.0;//Stow position in degrees


#define DEFAULT_LATITUDE 13.0839;
#define DEFAULT_LONGITUDE 80.2700;
#define DEFAULT_TIMEZONE 5.5;



//#define USER_DATA //User set time in UTC
#define USER_DAY 28;
#define USER_MONTH 2;
#define USER_YEAR 2012;
#define USER_H 23;
#define USER_M 30;
#define USER_S 0;

static float TRACK_BAND = 3.5;//Tracker accuracy in degrees. Higher accuracy demands more energy
static float MAX_TRACK_ANGLE=43.0;//Max tracking angle


unsigned long GPS_LOCK_WAIT=1000;
//unsigned long GPS_LOCK_WAIT = (7*60*1000);//GPS lock wait time in milliseconds
static int RTC_SYNC_CNT_LIM = 7200;//when this counter is reached RTC is synced with gps
static int TRACK_START_TIME = 5;//approx safeguard time for tracking
static int TRACK_STOP_TIME = 19;//approx safeguard time for stopping tracking
static int CENTURY = 2000;//used by RTC
#endif

